in scala.dbc
class DataType

abstract `class` DataType
  `extends` java.lang.Object
  `with` scala.ScalaObject

  An ISO-9075:2003 (SQL) data type. Mappings between SQL types and database specific types should be provided by the database driver.

Constructor Summary
| `def` this

Def Summary
| `def` isEquivalent ( datatype : scala.dbc.DataType ) : scala.Boolean Tests whether this datatype is equivalent to another. Usually, two types are defined as equivalent if they are equal. Two types can be equivalent without being equal if values of those types will be encoded in the same native Scala type.
| `def` isSubtypeOf ( datatype : scala.dbc.DataType ) : scala.Boolean Tests whether this datatype is equivalent or a subtype of another datatype. Type `A` is said to be subtype of type `B` if any value of type `A` can be represented as a value of type `B`.
| `def` nativeTypeId : scala.Int The native Scala type in which values of this SQL type will be encoded. This must point to the same type as `NativeType`.
| `def` nullable : scala.Option[scala.Boolean] Whether the value can take the null value, None when this property is unknown.
| `def` sqlString : java.lang.String The SQL name of the type

Constructor Detail

`def` this

Def Detail

`def` isEquivalent ( datatype : scala.dbc.DataType ) : scala.Boolean

  Tests whether this datatype is equivalent to another. Usually, two types are defined as equivalent if they are equal. Two types can be equivalent without being equal if values of those types will be encoded in the same native Scala type.

`def` isSubtypeOf ( datatype : scala.dbc.DataType ) : scala.Boolean

  Tests whether this datatype is equivalent or a subtype of another datatype. Type `A` is said to be subtype of type `B` if any value of type `A` can be represented as a value of type `B`.

`def` nativeTypeId : scala.Int

  The native Scala type in which values of this SQL type will be encoded. This must point to the same type as `NativeType`.

`def` nullable : scala.Option[scala.Boolean]

  Whether the value can take the null value, None when this property is unknown.

`def` sqlString : java.lang.String

  The SQL name of the type